# SimpleRepos

A simple file repository...

![](./simple-repos.png)

SimpleRepos is a file sharing website that allows to upload files using a REST API. This makes integration with CI tools a breeze!

E.g. to upload a new file:

```bash
curl "http://127.0.0.1:8000/api/readme.md"  --request POST --header "Authorization: Bearer abc123" -F 'file=@./readme.md'
```

The directory sturcture is automatically created if needed:

```bash
curl "http://127.0.0.1:8000/api/my/sub/directory/readme.md"  --request POST --header "Authorization: Bearer abc123" -F 'file=@./readme.md'
```

## Download

```bash
git clone https://gitlab.cylab.be/cylab/simple-repos.git
```

Or download the latest release from:

https://download.cylab.be/simple-repos

## Installation

```bash
cp env.example.prod .env
```

Modify .env to fit your needs:

```bash
nano .env
```

Install composer dependencies:

```bash
composer install
```

Configure database:

```bash
php artisan migrate
```