<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Storage;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});


Route::post(
        "{file_path}",
        function(Request $request, $file_path) {

    if ($request->bearerToken() !== config("app.upload_token")) {
        Log::warning("Got wrong token! Expected " . config("app.upload_token")
                . " and got " . $request->bearerToken());
        abort(401);
    }

    $dir_path = trim(dirname($file_path), '.');
    $file_name = basename($file_path);
    Log::notice("Uploading $file_name to $dir_path ...");

    $directory = \App\Directory::findByPath($dir_path, true);
    $file = $directory->findFileByName($file_name);

    $local_file_path = $request->file('file')->store('files');
    $file->path_on_disk = $local_file_path;
    $file->size = Storage::size($local_file_path);
    $file->save();

    // file_path may contain '/' !
})->where('file_path', '.*');