<?php

namespace Tests\Unit;

use App\Directory;
use App\File;
use Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class ExampleTest extends TestCase
{

    use RefreshDatabase;

    /**
     * A basic test example.
     *
     * @return void
     */
    public function testBasicTest()
    {
        $file1 = new File();
        $file1->name = "test";
        $file1->path_on_disk = "";
        $file1->size = 123;
        $file1->directory_id = 1;
        $file1->save();

        $root = Directory::root();
        $this->assertEquals(1, $root->id);

        $file2 = $root->findFileByName("test");
        $this->assertEquals($file1->id, $file2->id);

        // This should create a new file
        $file3 = $root->findFileByName("another");
        $file3->path_on_disk = "";
        $file3->size = 155;
        $file3->save();

        $this->assertEquals(2, File::all()->count());

        $dir = Directory::findByPath("test/test", true);
        $this->assertEquals($root->id, $dir->parent->parent->id);

        $dir2 = Directory::findByPath("test/t2", true);
        $this->assertEquals(4, Directory::all()->count());

        $this->assertEquals(1, Directory::findByPath("")->id);
    }
}
